# Multiple barcodes on products

This module extends the standard product functionality by allowing multiple barcodes per product. Key features:

- Define multiple barcodes for each product
- Set main barcode by changing the sequence of the barcodes for each product
- Search and find products using any of their assigned barcodes
- Maintain full compatibility with standard barcode scanning operations

Table of contents

- Usage
- How to Set Multiple Barcodes for a Product:
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

## Usage

## How to Set Multiple Barcodes for a Product:

1. Navigate to Products
2. Select the desired product
3. Add custom barcodes in the “Barcodes” field
4. Set barcode priority by moving them up or down in the sequence
5. Save the product

Note: A list of barcodes is available for each product with a priority, so a main barcode code is defined.

## Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

## Credits

### Authors

- Camptocamp
- Trey
- Tecnativa
- QubiQ
- ADHOC SA

### Contributors

- Guewen Baconnier (Camptocamp)
- Roberto Lizana (Trey)
- Pedro M. Baeza
- Xavier Jimenez (QubiQ)
- Héctor Villarreal (Eficent)
- Sébastien Beau (Akretion)
- Kevin Khao (Akretion)
- Ooops404 <https://ooops404.com>
  - Ilyas <irazor147@gmail.com>

### Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/stock-logistics-barcode project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.